#**************************************************************************
#* LPRng IFHP Filter
#* Copyright 1994-1997 Patrick Powell, San Diego, CA <papowell@lprng.com>
#*
#* $Id: Makefile.in,v 3.28 2004/09/24 20:18:15 papowell Exp papowell $
#


SRC=@srcdir@
@SET_MAKE@
prefix=@prefix@
exec_prefix=@exec_prefix@
sysconfdir=@sysconfdir@
libexecdir=@libexecdir@
INSTALLCMD=@INSTALL@
FILTER_DIR=@FILTER_DIR@
IFHP_CONF=@IFHP_CONF@
VERSION=@VERSION@
SHELL=@SHELL@

MAN=@mandir@
INSTALL_MAN=@INSTALL_MAN@

#**************** configure does not change lines after this *********

FONTDIR=${FILTER_DIR}/fonts/


INSTALL= ifhp.8 textps.8

all: $(INSTALL)

.PHONY: install all clean distclean ci

install: all $(INSTALL)
	${SHELL} ${SRC}/mkinstalldirs ${DESTDIR}$(MAN)/man8
	for i in $(INSTALL) ; do \
		$(INSTALL_MAN) -m 644 $$i ${DESTDIR}$(MAN)/man8; \
	done ;

clean:
	rm -f ifhp.8 textps.8

ifhp.8: $(SRC)/ifhp.n Makefile
		rm -f $@
		sed -e 's,_FONTDIR_,$(FONTDIR),g' \
	    -e 's,_FILTER_DIR_,$(FILTER_DIR),g' \
	    -e 's,_IFHP_CONF_,$(IFHP_CONF),g' \
	    -e 's,_VERSION_,${VERSION},g' \
	    $(SRC)/ifhp.n >$@
textps.8: $(SRC)/textps.n Makefile
		rm -f $@
		sed -e 's,_FONTDIR_,$(FONTDIR),g' \
	    -e 's,_FILTER_DIR_,$(FILTER_DIR),g' \
	    -e 's,_IFHP_CONF_,$(IFHP_CONF),g' \
	    -e 's,_VERSION_,${VERSION},g' \
	    $(SRC)/textps.n >$@

distclean: clean
	rm -f Makefile

CI=
#CO=-kv
CO=-l
ci:
	if test ! -d RCS ; then mkdir RCS; fi;
	checkin() { \
		rcs -l $$1 ; \
		ci $(CI) -mUpdate -t-Initial $$1; \
		co $(CO) $$1; \
	}; \
	for i in Makefile.in Makefile *.n; do \
		checkin $$i; \
	done;

update:
